| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::InstancedGeometry::QueuedGeometry Struct Reference

Structure recording a queued geometry for low level builds. More...

`#include <OgreInstancedGeometry.h>`

Inheritance diagram for Ogre::InstancedGeometry::QueuedGeometry:
[legend]

## Public Attributes
SubMeshLodGeometryLink * | geometry
unsigned int | ID
Quaternion | orientation
Vector3 | position
Vector3 | scale

## Detailed Description

Structure recording a queued geometry for low level builds.

## Member Data Documentation

## ◆ geometry

SubMeshLodGeometryLink* Ogre::InstancedGeometry::QueuedGeometry::geometry

## ◆ position

Vector3 Ogre::InstancedGeometry::QueuedGeometry::position

## ◆ orientation

Quaternion Ogre::InstancedGeometry::QueuedGeometry::orientation

## ◆ scale

Vector3 Ogre::InstancedGeometry::QueuedGeometry::scale

## ◆ ID

unsigned int Ogre::InstancedGeometry::QueuedGeometry::ID

The documentation for this struct was generated from the following file:

- OgreInstancedGeometry.h